Index: share/extensions/svgcalendar.py
===================================================================
--- share/extensions/svgcalendar.py	(revision 21290)
+++ share/extensions/svgcalendar.py	(working copy)
@@ -57,7 +57,7 @@
         self.OptionParser.add_option("--auto-organize",
           action="store", type="inkbool",
           dest="auto_organize", default=True,
-          help='Authomaticaly set the size and positions.')
+          help='Automatically set the size and positions.')
         self.OptionParser.add_option("--months-per-line",
           action="store", type="int",
           dest="months_per_line", default=3,
Index: share/extensions/web-set-att.inx
===================================================================
--- share/extensions/web-set-att.inx	(revision 21290)
+++ share/extensions/web-set-att.inx	(working copy)
@@ -1,6 +1,6 @@
 <?xml version="1.0" encoding="UTF-8"?>
 <inkscape-extension xmlns="http://www.inkscape.org/namespace/inkscape/extension">
-  <_name>Set Atributes</_name>
+  <_name>Set Attributes</_name>
   <id>org.inkscape.web.set-att</id>
   <dependency type="executable" location="extensions">web-set-att.py</dependency>
   <dependency type="executable" location="extensions">inkex.py</dependency>
Index: src/extension/internal/bitmap/edge.cpp
===================================================================
--- src/extension/internal/bitmap/edge.cpp	(revision 21290)
+++ src/extension/internal/bitmap/edge.cpp	(working copy)
@@ -41,7 +41,7 @@
 				"<effects-menu>\n"
 					"<submenu name=\"" N_("Raster") "\" />\n"
 				"</effects-menu>\n"
-				"<menu-tip>" N_("Hilight edges of selected bitmap(s).") "</menu-tip>\n"
+				"<menu-tip>" N_("Highlight edges of selected bitmap(s).") "</menu-tip>\n"
 			"</effect>\n"
 		"</inkscape-extension>\n", new Edge());
 }
Index: src/extension/internal/bitmap/emboss.cpp
===================================================================
--- src/extension/internal/bitmap/emboss.cpp	(revision 21290)
+++ src/extension/internal/bitmap/emboss.cpp	(working copy)
@@ -43,7 +43,7 @@
 				"<effects-menu>\n"
 					"<submenu name=\"" N_("Raster") "\" />\n"
 				"</effects-menu>\n"
-				"<menu-tip>" N_("Emboss selected bitmap(s) -- hilight edges with 3D effect.") "</menu-tip>\n"
+				"<menu-tip>" N_("Emboss selected bitmap(s) -- highlight edges with 3D effect.") "</menu-tip>\n"
 			"</effect>\n"
 		"</inkscape-extension>\n", new Emboss());
 }
Index: src/live_effects/lpe-dynastroke.cpp
===================================================================
--- src/live_effects/lpe-dynastroke.cpp	(revision 21290)
+++ src/live_effects/lpe-dynastroke.cpp	(working copy)
@@ -57,7 +57,7 @@
 //TODO: allow fancy ends.
 
 static const Util::EnumData<DynastrokeMethod> DynastrokeMethodData[DSM_END] = {
-    {DSM_ELLIPTIC_PEN,     N_("Ellipitic Pen"),        "elliptic_pen"},
+    {DSM_ELLIPTIC_PEN,     N_("Elliptic Pen"),        "elliptic_pen"},
     {DSM_THICKTHIN_FAST, N_("Thick-Thin strokes (fast)"),    "thickthin_fast"},
     {DSM_THICKTHIN_SLOW, N_("Thick-Thin strokes (slow)"),    "thickthin_slow"}
 };
Index: src/live_effects/lpe-sketch.cpp
===================================================================
--- src/live_effects/lpe-sketch.cpp	(revision 21290)
+++ src/live_effects/lpe-sketch.cpp	(working copy)
@@ -56,7 +56,7 @@
              _("Scale factor relating curvature and length of construction lines (try 5*offset)"), "tgtscale", &wr, this, 10.0),
     tgtlength(_("Max. length"), _("Maximum length of construction lines"), "tgtlength", &wr, this, 100.0),
     tgtlength_rdm(_("Length variation"), _("Random variation of the length of construction lines"), "tgtlength_rdm", &wr, this, .3),
-    tgt_places_rdmness(_("Placement randomness"), _("0: evenly distributed construcion lines, 1: purely random placement"), "tgt_places_rdmness", &wr, this, 1.)
+    tgt_places_rdmness(_("Placement randomness"), _("0: evenly distributed construction lines, 1: purely random placement"), "tgt_places_rdmness", &wr, this, 1.)
 #ifdef LPE_SKETCH_USE_CURVATURE
     ,min_curvature(_("k_min"), _("min curvature"), "k_min", &wr, this, 4.0)
     ,max_curvature(_("k_max"), _("max curvature"), "k_max", &wr, this, 1000.0)
Index: src/ui/dialog/filter-effects-dialog.cpp
===================================================================
--- src/ui/dialog/filter-effects-dialog.cpp	(revision 21290)
+++ src/ui/dialog/filter-effects-dialog.cpp	(working copy)
@@ -644,7 +644,7 @@
                   Inkscape::UI::Dialog::FileOpenDialog::create(
                      *_desktop->getToplevel(),
                      open_path,
-                     Inkscape::UI::Dialog::SVG_TYPES,/*TODO: any image, not justy svg*/
+                     Inkscape::UI::Dialog::SVG_TYPES,/*TODO: any image, not just svg*/
                      (char const *)_("Select an image to be used as feImage input"));
         }
 
@@ -2286,7 +2286,7 @@
             break;
         case(NR_FILTER_COMPOSITE):
             _infobox_icon.set_from_icon_name("feComposite-icon", Gtk::ICON_SIZE_DIALOG);
-            _infobox_desc.set_markup(_("The <b>feComposite</b> filter primitive composites two images using one of the Porter-Duff blending modes or the aritmetic mode described in SVG standard. Porter-Duff blending modes are essentially logical operations between the corresponding pixel values of the images."));
+            _infobox_desc.set_markup(_("The <b>feComposite</b> filter primitive composites two images using one of the Porter-Duff blending modes or the arithmetic mode described in SVG standard. Porter-Duff blending modes are essentially logical operations between the corresponding pixel values of the images."));
             break;
         case(NR_FILTER_CONVOLVEMATRIX):
             _infobox_icon.set_from_icon_name("feConvolveMatrix-icon", Gtk::ICON_SIZE_DIALOG);
Index: src/main.cpp
===================================================================
--- src/main.cpp	(revision 21290)
+++ src/main.cpp	(working copy)
@@ -450,7 +450,7 @@
 
     {"shell", 0,
      POPT_ARG_NONE, &sp_shell, SP_ARG_SHELL,
-     N_("Start Inkscape in interative shell mode."),
+     N_("Start Inkscape in interactive shell mode."),
      NULL},
 
     POPT_AUTOHELP POPT_TABLEEND
